# Interface Diagnostics

interface Diagnostics {
generic?: GenericDiagnosticEntry[];
ifc?: { [key: string]: IfcDiagnosticNode };
twin?: TwinDiagnosticNode[];
[property: string]: any;
}

#### Indexable

- [property: string]: any

##### Index

### Properties

generic?
ifc?
twin?

## Properties

### `Optional` generic

generic?: GenericDiagnosticEntry[]

### `Optional` ifc

ifc?: { [key: string]: IfcDiagnosticNode }

### `Optional` twin

twin?: TwinDiagnosticNode[]